# AudioFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files / AudioFile

# AudioFile

(common) `data class AudioFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, PlayableMediaFile, TitledMediaFile, Performerable` (source)

### Constructors

(common)

#### <init>

`AudioFile(fileId: FileId, fileUniqueId: FileUniqueId, duration: Long? = null, performer: String? = null, title: String? = null, mimeType: MimeType? = null, fileSize: Long? = null, thumb: PhotoSize? = null)`

### Properties

(common)

#### duration

`val duration: Long?`

(common)

#### fileId

`val fileId: FileId`

(common)

#### fileSize

`val fileSize: Long?`

(common)

#### fileUniqueId

`val fileUniqueId: FileUniqueId`

(common)

#### mimeType

`val mimeType: MimeType?`

(common)

#### performer

`val performer: String?`

(common)

#### thumb

`val thumb: PhotoSize?`

(common)

#### title

`val title: String?`